TypePayoff Class Reference

Intermediate class for put/call payoffs. More...

`#include <ql/instruments/payoffs.hpp>`

Inheritance diagram for TypePayoff:
[legend]

## Public Member Functions

Option::Type | optionType () const
Payoff interface
std::string | description () const
Public Member Functions inherited from Payoff
virtual std::string | name () const =0
virtual Real | operator() (Real price) const =0
virtual void | accept (AcyclicVisitor &)

## Protected Member Functions

| TypePayoff (Option::Type type)

## Protected Attributes

Option::Type | type_

## Detailed Description

Intermediate class for put/call payoffs.